(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[      6925,        167]
NotebookOptionsPosition[      6498,        146]
NotebookOutlinePosition[      6830,        161]
CellTagsIndexPosition[      6787,        158]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoadNETAssembly", "[", 
  RowBox[{"\"\<Tinkerforge\>\"", ",", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.600175052949191*^9, 3.600175066601799*^9}, 
   3.600175102142559*^9, {3.6001753172765293`*^9, 3.600175317946432*^9}, {
   3.600500538026902*^9, 3.600500561851948*^9}, {3.600506097634747*^9, 
   3.600506099012146*^9}, 3.600506136278721*^9, {3.60060805238198*^9, 
   3.600608117803465*^9}, {3.600608826318905*^9, 3.600608826675346*^9}, 
   3.600685362498796*^9}],

Cell[BoxData[{
 RowBox[{"host", "=", "\"\<localhost\>\""}], "\n", 
 RowBox[{"port", "=", "4223"}], "\n", 
 RowBox[{
  RowBox[{"uid", "=", "\"\<XYZ\>\""}], 
  RowBox[{"(*", 
   RowBox[{"Change", " ", "to", " ", "your", " ", "UID"}], "*)"}], "\n", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Create", " ", "IPConnection", " ", "and", " ", "device", " ", "object"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "=", 
  RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}], "\n", 
 RowBox[{"idai", "=", 
  RowBox[{"NETNew", "[", 
   RowBox[{
   "\"\<Tinkerforge.BrickletIndustrialDualAnalogIn\>\"", ",", "uid", ",", 
    "ipcon"}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"ipcon", "@", 
   RowBox[{"Connect", "[", 
    RowBox[{"host", ",", "port"}], "]"}]}], "\n", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Callback", " ", "function", " ", "for", " ", "voltage", " ", "callback", 
    " ", 
    RowBox[{"(", 
     RowBox[{"parameter", " ", "has", " ", "unit", " ", "mV"}], ")"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"VoltageCB", "[", 
    RowBox[{"sender_", ",", "channel_", ",", "voltage_"}], "]"}], ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Print", "[", 
       RowBox[{"\"\<Channel: \>\"", "<>", 
        RowBox[{"ToString", "[", "channel", "]"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"\"\<Voltage: \>\"", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{"N", "[", 
          RowBox[{"Quantity", "[", 
           RowBox[{"voltage", ",", "\"\<V/1000\>\""}], "]"}], "]"}], "]"}]}], 
       "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AddEventHandler", "[", 
   RowBox[{
    RowBox[{"idai", "@", "Voltage"}], ",", "VoltageCB"}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Set", " ", "period", " ", "for", " ", "voltage", " ", 
    RowBox[{"(", 
     RowBox[{"channel", " ", "1"}], ")"}], " ", "callback", " ", "to", " ", 
    "1", "s", " ", 
    RowBox[{"(", 
     RowBox[{"1000", "ms"}], ")"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Note", ":", 
    RowBox[{"The", " ", "voltage", " ", 
     RowBox[{"(", 
      RowBox[{"channel", " ", "1"}], ")"}], " ", "callback", " ", "is", " ", 
     "only", " ", "called", " ", "every", " ", "second"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"if", " ", "the", " ", "voltage", " ", 
    RowBox[{"(", 
     RowBox[{"channel", " ", "1"}], ")"}], " ", "has", " ", "changed", " ", 
    "since", " ", "the", " ", "last", " ", 
    RowBox[{"call", "!"}]}], "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"idai", "@", 
   RowBox[{"SetVoltageCallbackPeriod", "[", 
    RowBox[{"1", ",", "1000"}], "]"}]}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}], "\n", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Clean", " ", "up"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "@", 
  RowBox[{"Disconnect", "[", "]"}]}], "\n", 
 RowBox[{"ReleaseNETObject", "[", "idai", "]"}], "\n", 
 RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]}], "Input",
 CellChangeTimes->{{3.600075175574196*^9, 3.600075177574486*^9}, {
   3.600075518821967*^9, 3.60007554243471*^9}, {3.600075580562348*^9, 
   3.600075669308506*^9}, {3.600075705822371*^9, 3.600075921974015*^9}, {
   3.6000760067507343`*^9, 3.600076009622583*^9}, {3.600077792659996*^9, 
   3.600077795613958*^9}, {3.600077854705127*^9, 3.600077855342334*^9}, {
   3.600090981053762*^9, 3.6000909897413397`*^9}, {3.600091048393783*^9, 
   3.600091071325759*^9}, {3.6000911068928633`*^9, 3.6000911072763557`*^9}, {
   3.600091413237206*^9, 3.600091428847453*^9}, {3.600091480127982*^9, 
   3.60009150669311*^9}, {3.6000915673213387`*^9, 3.6000915678002653`*^9}, {
   3.600092307925643*^9, 3.600092314241997*^9}, {3.600149020784099*^9, 
   3.6001491107582273`*^9}, {3.600149174456699*^9, 3.6001491869018793`*^9}, {
   3.600161252329417*^9, 3.600161270517737*^9}, {3.6001751050299597`*^9, 
   3.6001752269913054`*^9}, {3.600175283111157*^9, 3.60017529631222*^9}, {
   3.600500425825809*^9, 3.6005004326356916`*^9}, {3.6005005658827868`*^9, 
   3.60050056667803*^9}, {3.600506021813815*^9, 3.6005060779666643`*^9}, {
   3.600506152278829*^9, 3.6005061727773933`*^9}, {3.600607963780426*^9, 
   3.6006080340220013`*^9}, {3.600608128817329*^9, 3.600608130481505*^9}, {
   3.60060817038931*^9, 3.600608171010838*^9}, 3.60060822412246*^9, {
   3.600608254252864*^9, 3.600608318404385*^9}, {3.600608504672563*^9, 
   3.6006085096134768`*^9}, {3.600608564485358*^9, 3.6006085694976482`*^9}, {
   3.6006086083315887`*^9, 3.600608696478737*^9}, {3.600608732817322*^9, 
   3.600608760452553*^9}, {3.600608824736239*^9, 3.600608825481593*^9}, 
   3.60060918655473*^9, {3.600609227515625*^9, 3.600609227953993*^9}, {
   3.6006966791387033`*^9, 3.600696687633937*^9}, {3.600697195361247*^9, 
   3.600697263305517*^9}, {3.6006973002041607`*^9, 3.600697300518146*^9}, {
   3.643629914605246*^9, 3.6436299448848124`*^9}, {3.643629982841004*^9, 
   3.6436300563018503`*^9}, {3.643630096678534*^9, 3.64363009733641*^9}, 
   3.6436303259829617`*^9, 3.643630760093576*^9, {3.652186752883834*^9, 
   3.652186758221764*^9}}]
},
WindowSize->{1521, 867},
WindowMargins->{{330, 67}, {50, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[400, 13, 652, 12, 55, "Input"],
Cell[1055, 27, 5439, 117, 649, "Input"]
}
]
*)

